"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Command = void 0;
var Result_1 = require("../Result/Result");
var module_1 = require("../../Utility/Logger/module");
var Command = /** @class */ (function () {
    function Command(Command) {
        this.Command = Command;
    }
    Command.prototype.Execute = function () {
        var result = new Result_1.Result(null);
        try {
            this.Command();
        }
        catch (error) {
            result.ErrorMessages.push(error.message);
            module_1.Logger.Instance.Log(new module_1.LogEntry(error.message, module_1.LogLevel.Error, error));
        }
        return result;
    };
    return Command;
}());
exports.Command = Command;
//# sourceMappingURL=Command.js.map