"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Query = void 0;
var Result_1 = require("../Result/Result");
var module_1 = require("../../Utility/Logger/module");
var Query = /** @class */ (function () {
    function Query(Query) {
        this.Query = Query;
    }
    Query.prototype.Execute = function () {
        var result = new Result_1.Result();
        try {
            result.Value = this.Query();
        }
        catch (error) {
            result.ErrorMessages.push(error.message);
            module_1.Logger.Instance.Log(new module_1.LogEntry(error.message, module_1.LogLevel.Error, error));
        }
        return result;
    };
    return Query;
}());
exports.Query = Query;
//# sourceMappingURL=Query.js.map