"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pipeline = void 0;
var Pipeline = /** @class */ (function () {
    function Pipeline(pipes) {
        this.pipes = pipes;
    }
    /**
     * Transforms a given object based on the pipes used to construct the pipeline
     * @param object
     */
    Pipeline.prototype.Transform = function (object) {
        this.pipes.forEach(function (pipe) {
            object = pipe.Transform(object);
        });
        return object;
    };
    return Pipeline;
}());
exports.Pipeline = Pipeline;
//# sourceMappingURL=Pipeline.js.map