import { IPersister } from './IPersister';
type StorageType = 'local' | 'session';
/**
 * Persists data using the html DomStorage apis (local and session)
 */
export declare class DomStoragePersister<T> implements IPersister<T> {
    private key;
    private storageType;
    constructor(key: string, storageType: StorageType);
    Purge(): void;
    Retrieve(): Array<any>;
    Persist(items: Array<any>): void;
    private saveItemToDomStorage;
    private getItemFromDomStorage;
}
export {};
