type QueryableContainer = {
    querySelector: Document['querySelector'];
};
export type Jsx = {
    attributes?: Record<string, string | number | boolean> | null;
    children?: (Jsx | string)[];
    nodeName: string;
};
export declare const Fragment = "fragment";
export declare function ParseJsx(nodeName: any, attributes?: Record<string, string>, ...children: any): Jsx;
export declare class JsxRenderer {
    private constructor();
    static RenderJsx(jsx: Jsx, container?: QueryableContainer): string;
    private static addElementEventListener;
    private static transformJsxToHtml;
}
export {};
