import { ISearchIndex, Indexer } from './ISearchIndex';
export declare class SearchIndex<T> implements ISearchIndex<T> {
    private index;
    Insert<D>(indexer: Indexer<D, T>, items?: D[]): Promise<void>;
    GetIndexesForQuery(query: string, limit?: number): Promise<string[]>;
    Search(query: string, limit?: number): Promise<T[]>;
    Answer(query: string): Promise<T | null>;
    Reset(): void;
    private isQualifiedResult;
}
