import { BaseObservable } from './BaseObservable';
import { IAsyncObservable } from './IAsyncObservable';
export declare class AsyncObservable<T> extends BaseObservable<T> implements IAsyncObservable<T> {
    Subscribe(func: (content?: T) => Promise<void>, useCurrentIssue?: boolean): Promise<string>;
    Order(func: (content?: T) => Promise<void>, useCurrentIssue?: boolean): Promise<void>;
    Publish(content?: T): Promise<void>;
}
