"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseObservable = void 0;
var BaseObservable = /** @class */ (function () {
    function BaseObservable() {
        this.subscribers = new Map();
        this.active = true;
    }
    BaseObservable.prototype.Cancel = function (subscriptionId) {
        this.subscribers.delete(subscriptionId);
    };
    BaseObservable.prototype.Discontinue = function () {
        this.active = false;
    };
    BaseObservable.prototype.Reinstate = function () {
        this.active = true;
    };
    return BaseObservable;
}());
exports.BaseObservable = BaseObservable;
//# sourceMappingURL=BaseObservable.js.map