import { Result } from '../Result/Result';
import { IValidation } from './IValidation';
export declare class Validator<T> {
    /**
     * The set of validations the Validator calls when constructing its
     * overall validation result.
     */
    Validations: Array<IValidation<T>>;
    constructor(validations?: Array<IValidation<T>>);
    Validate(object: T): Result<null>;
}
