import { IGameLoop } from './IGameLoop';
import { Observable } from '../../Patterns/Observable/Observable';
export declare class GameLoop implements IGameLoop {
    private framesRendered;
    private gameLoopTimer;
    private framerateTimer;
    Framerate: Observable<number>;
    GameEvents: Observable<any>[];
    Start(framerate: number): void;
    Stop(): void;
    private startGameLoopTimer;
    private startFramerateTimer;
}
